//West Islip High School - Engineering Technology
// Motor Test Sketch for H-Bridge and two DC Motors

// defines pins numbers
int E1 = 5;  // Enable Pin for motor 1 (ENA on board)
int E2 = 6;  // Enable Pin for motor 2 (ENB on board)

int I1 = 2;  // Control pin 1 for motor 1
int I2 = 3;  // Control pin 2 for motor 1
int I3 = 4;  // Control pin 1 for motor 2
int I4 = 7;  // Control pin 2 for motor 2 


void setup() {
 

//Set-Up for Motor Pins
  pinMode(E1, OUTPUT);    //Control pin for Motor 1 set to OUTPUT
  pinMode(E2, OUTPUT);    //Control pin for Motor 2 set to OUTPUT

  pinMode(I1, OUTPUT);    //Voltage direction pin for Motor 1 set to OUTPUT    
  pinMode(I2, OUTPUT);    //Voltage direction pin for Motor 1 set to OUTPUT
  
  pinMode(I3, OUTPUT);    //Voltage direction pin for Motor 2 set to OUTPUT
  pinMode(I4, OUTPUT);    //Voltage direction pin for Motor 2 set to OUTPUT

}


void loop() {
 
  analogWrite(E1, 250);  // Motor 1 get ready - high speed
  analogWrite(E2, 250); // Motor 2 get ready - high speed
  
// back up - both wheels rotate same direction
    digitalWrite(I1, LOW);  //Motor 1 - polarity -
    digitalWrite(I2, HIGH); //Motor 1 - polarity +
    
    digitalWrite(I3, LOW); //Motor 2 - polarity -
    digitalWrite(I4, HIGH); //Motor 2 - polarity +

    delay(2000);
    
// turn 90 degrees - both wheels rotate oposite directions
    digitalWrite(I1, LOW); //Motor 1 - polarity -
    digitalWrite(I2, HIGH); //Motor 1 - polarity +
    
    digitalWrite(I3, HIGH); //Motor 2 - polarity +
    digitalWrite(I4, LOW); //Motor 2 - polarity -

  delay(2000);
  
// go forward - both wheels rotate same direction

    digitalWrite(I1, HIGH); //Motor 1 - polarity +
    digitalWrite(I2, LOW);  //Motor 1 - polarity -
    
    digitalWrite(I3, HIGH); //Motor 2 - polarity +
    digitalWrite(I4, LOW); //Motor 2 - polarity -

    delay(2000);
    
// Stop Wheels

    digitalWrite(I1, LOW); //Motor 1 - polarity -
    digitalWrite(I2, LOW); //Motor 1 - polarity -
    
    digitalWrite(I3, LOW); //Motor 2 - polarity -
    digitalWrite(I4, LOW);  //Motor 2 - polarity -

    delay(2000);

}
